# $Revision: 1.15 $, $Date: 2009/04/26 17:20:09 $
%define		_modname	id3
%define		_status		alpha
Summary:	%{_modname} - functions to read and write ID3 tags in MP3 files
Summary(pl.UTF-8):	%{_modname} - funkcje do odczytu i zapisu tagów ID3 w plikach MP3
Name:		php-pecl-%{_modname}
Version:	0.2
Release:	6
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	c19445a5b676a7d5b90d5d19affa9ced
URL:		http://pecl.php.net/package/id3/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
id3 enables to to retrieve and update information from ID3 tags in MP3
files. It supports version 1.0 and version 1.1.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
id3 umożliwia odbiór i aktualizację informacji w tagach ID3 w plikach
MP3. Wspiera wersję 1.0 oraz 1.1.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,EXPERIMENTAL,TODO}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-id3.spec,v $
Revision 1.15  2009/04/26 17:20:09  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.14  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.12  2006/12/28 13:41:15  glen
- use new php extension related macros

Revision 1.11  2006/12/13 22:35:15  glen
- rel 6 (php 5.2.0)

Revision 1.10  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.9  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.8  2005/10/30 13:29:27  glen
- rel 4

Revision 1.7  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.6  2005/09/14 20:36:06  glen
- rel 2

Revision 1.5  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.4  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.3  2004/10/02 06:34:45  adamg
- updated to 0.2

Revision 1.2  2004/08/08 09:35:46  adamg
- proper URL
- added TODO to %doc
- typos

Revision 1.1  2004/08/08 09:20:23  adamg
- new
